API ReferenceapipaymentsGET /v1/billing/summary

GET /v1/billing/summary

Service: payments · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Current user billing summary

{
  "type": "object",
  "properties": {
    "subscription": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "id": {
          "type": "string"
        },
        "stripe_subscription_id": {
          "type": "string"
        },
        "stripe_customer_id": {
          "type": [
            "string",
            "null"
          ]
        },
        "plan_id": {
          "type": "string"
        },
        "status": {
          "type": "string"
        },
        "current_period_start": {
          "type": "string"
        },
        "current_period_end": {
          "type": "string"
        },
        "cancel_at_period_end": {
          "type": "boolean"
        },
        "cancel_reason": {
          "type": [
            "string",
            "null"
          ]
        },
        "source": {
          "type": "string",
          "enum": [
            "stripe",
            "gift"
          ]
        }
      },
      "required": [
        "id",
        "stripe_subscription_id",
        "stripe_customer_id",
        "plan_id",
        "status",
        "current_period_start",
        "current_period_end",
        "cancel_at_period_end",
        "cancel_reason",
        "source"
      ]
    },
    "payment_method": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "brand": {
          "type": "string"
        },
        "last4": {
          "type": "string"
        },
        "exp_month": {
          "type": "number"
        },
        "exp_year": {
          "type": "number"
        }
      },
      "required": [
        "brand",
        "last4",
        "exp_month",
        "exp_year"
      ]
    }
  },
  "required": [
    "subscription",
    "payment_method"
  ]
}

404 Subscription not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://payments.platform.loop.health/v1/billing/summary \
  -H "Authorization: Bearer $ACCESS_TOKEN"